FIREWALL-APPLET(1)

NAME
firewall-applet - firewalld applet

SYNOPSIS

firewall-applet [OPTIONS...]

DESCRIPTION

firewall-applet is a tray applet for firewalld.

OPTIONS

firewall-applet does not support any special options. The only options that can be used are the general options that Gtk uses for Gtk application initialization. For more information on these options, please have a look at the runtime documentation for Gtk.

The following options are supported:

-h, --help
    Prints a short help text and exists.

GSETTINGS

firewall-applet has additional settings to adapt the look and feel. The used backend depends on the distribution and can be either dconf or GConf. The path to the settings is org.fedoraproject.FirewallApplet. You can use dconf-editor or gconf-editor to see and modify them.

The following settings are supported:

notifications
    The applet shows notifications if enabled. This setting can be enabled also in the applet with the "Enable Notifications" checkbox in the right mouse menu.

    This setting defaults to false.

    If notifications are shown for these actions if enabled:

        • Connection to firewalld established

        • Connection to firewalld lost

        • Firewall has been reloaded

        • Default zone has been changed

        • Panic mode has been enabled or disabled

        • Activation, deactivation or change of zones bound to interfaces

        • Activation, deactivation or change of zones bound to sources addresses

show-inactive
    Show applet also if firewalld is not running. If firewalld has been stopped or is not running the applet will be hidden and not visible in the applet tray. Enable this setting to see the applet all the time for example to be sure that the firewall is active.

    This setting defaults to false.

shields-up
    The shields-up zone name to be used if shields-up is enabled.

    This setting defaults to 'block'.

shields-down
    The shields-down zone name to be used if shields-up has been deactivated again.

    This setting defaults to 'public'.

blink
    If enabled, the applet icon blinks in these cases:

        • Connection to firewalld lost

        • Panic mode has been enabled or disabled

    This setting defaults to false.

blink-count
    The number of blinks if blink is enabled.

    This setting defaults to 5.

SEE ALSO
firewall-applet(1), firewalld(1), firewall-cmd(1), firewall-config(1), firewalld.conf(5), firewalld.direct(5), firewalld.icmptype(5), firewalld.lockdown-whitelist(5), firewall-offline-cmd(1), firewalld.richlanguage(5), firewalld.service(5), firewalld.zone(5), firewalld.zones(5)

NOTES

firewalld home page at fedorahosted.org:
    http://fedorahosted.org/firewalld/

More documentation with examples:
    http://fedoraproject.org/wiki/FirewallD

AUTHORS

Thomas Woerner <twoerner@redhat.com>
    Developer

Jiri Popelka <jpopelka@redhat.com>
    Developer